package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

@Entity
@Table(
   name = "T_CORE_SENSITIVERELATION"
)
public class TCoreSensitiverelation extends TBaseEntity {
   private String ssensitivecolumnid;
   private String tsensitivecolumnid;
   @Transient
   private String datasourceid;
   @Transient
   private String datasourcename;
   @Transient
   private String schema;
   @Transient
   private String tablename;
   @Transient
   private String columnname;
   @Transient
   private String regextype;
   @Transient
   private String ruleid;
   @Transient
   private String checked;

   public TCoreSensitiverelation() {
   }

   public TCoreSensitiverelation(String ssensitivecolumnid, String tsensitivecolumnid, String datasourceid, String datasourcename, String schema, String tablename, String columnname, String regextype, String ruleid, String checked) {
      this.ssensitivecolumnid = ssensitivecolumnid;
      this.tsensitivecolumnid = tsensitivecolumnid;
      this.datasourceid = datasourceid;
      this.datasourcename = datasourcename;
      this.schema = schema;
      this.tablename = tablename;
      this.columnname = columnname;
      this.regextype = regextype;
      this.ruleid = ruleid;
      this.checked = checked;
   }

   public String getSsensitivecolumnid() {
      return this.ssensitivecolumnid;
   }

   public void setSsensitivecolumnid(String ssensitivecolumnid) {
      this.ssensitivecolumnid = ssensitivecolumnid;
   }

   public String getTsensitivecolumnid() {
      return this.tsensitivecolumnid;
   }

   public void setTsensitivecolumnid(String tsensitivecolumnid) {
      this.tsensitivecolumnid = tsensitivecolumnid;
   }

   public String getDatasourceid() {
      return this.datasourceid;
   }

   public void setDatasourceid(String datasourceid) {
      this.datasourceid = datasourceid;
   }

   public String getDatasourcename() {
      return this.datasourcename;
   }

   public void setDatasourcename(String datasourcename) {
      this.datasourcename = datasourcename;
   }

   public String getSchema() {
      return this.schema;
   }

   public void setSchema(String schema) {
      this.schema = schema;
   }

   public String getTablename() {
      return this.tablename;
   }

   public void setTablename(String tablename) {
      this.tablename = tablename;
   }

   public String getColumnname() {
      return this.columnname;
   }

   public void setColumnname(String columnname) {
      this.columnname = columnname;
   }

   public String getRegextype() {
      return this.regextype;
   }

   public void setRegextype(String regextype) {
      this.regextype = regextype;
   }

   public String getRuleid() {
      return this.ruleid;
   }

   public void setRuleid(String ruleid) {
      this.ruleid = ruleid;
   }

   public String getChecked() {
      return this.checked;
   }

   public void setChecked(String checked) {
      this.checked = checked;
   }

   public String toString() {
      return "TCoreSensitiverelation [ssensitivecolumnid=" + this.ssensitivecolumnid + ", tsensitivecolumnid=" + this.tsensitivecolumnid + ", datasourceid=" + this.datasourceid + ", datasourcename=" + this.datasourcename + ", schema=" + this.schema + ", tablename=" + this.tablename + ", columnname=" + this.columnname + ", regextype=" + this.regextype + ", ruleid=" + this.ruleid + ", checked=" + this.checked + "]";
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.checked == null ? 0 : this.checked.hashCode());
      result = 31 * result + (this.columnname == null ? 0 : this.columnname.hashCode());
      result = 31 * result + (this.datasourceid == null ? 0 : this.datasourceid.hashCode());
      result = 31 * result + (this.datasourcename == null ? 0 : this.datasourcename.hashCode());
      result = 31 * result + (this.regextype == null ? 0 : this.regextype.hashCode());
      result = 31 * result + (this.ruleid == null ? 0 : this.ruleid.hashCode());
      result = 31 * result + (this.schema == null ? 0 : this.schema.hashCode());
      result = 31 * result + (this.ssensitivecolumnid == null ? 0 : this.ssensitivecolumnid.hashCode());
      result = 31 * result + (this.tablename == null ? 0 : this.tablename.hashCode());
      result = 31 * result + (this.tsensitivecolumnid == null ? 0 : this.tsensitivecolumnid.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreSensitiverelation other = (TCoreSensitiverelation)obj;
         if (this.checked == null) {
            if (other.checked != null) {
               return false;
            }
         } else if (!this.checked.equals(other.checked)) {
            return false;
         }

         if (this.columnname == null) {
            if (other.columnname != null) {
               return false;
            }
         } else if (!this.columnname.equals(other.columnname)) {
            return false;
         }

         if (this.datasourceid == null) {
            if (other.datasourceid != null) {
               return false;
            }
         } else if (!this.datasourceid.equals(other.datasourceid)) {
            return false;
         }

         if (this.datasourcename == null) {
            if (other.datasourcename != null) {
               return false;
            }
         } else if (!this.datasourcename.equals(other.datasourcename)) {
            return false;
         }

         if (this.regextype == null) {
            if (other.regextype != null) {
               return false;
            }
         } else if (!this.regextype.equals(other.regextype)) {
            return false;
         }

         if (this.ruleid == null) {
            if (other.ruleid != null) {
               return false;
            }
         } else if (!this.ruleid.equals(other.ruleid)) {
            return false;
         }

         if (this.schema == null) {
            if (other.schema != null) {
               return false;
            }
         } else if (!this.schema.equals(other.schema)) {
            return false;
         }

         if (this.ssensitivecolumnid == null) {
            if (other.ssensitivecolumnid != null) {
               return false;
            }
         } else if (!this.ssensitivecolumnid.equals(other.ssensitivecolumnid)) {
            return false;
         }

         if (this.tablename == null) {
            if (other.tablename != null) {
               return false;
            }
         } else if (!this.tablename.equals(other.tablename)) {
            return false;
         }

         if (this.tsensitivecolumnid == null) {
            if (other.tsensitivecolumnid != null) {
               return false;
            }
         } else if (!this.tsensitivecolumnid.equals(other.tsensitivecolumnid)) {
            return false;
         }

         return true;
      }
   }
}
